commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ben Speakmon" <bspeak...@apache.org>
Subject Re: Email Maven 2 Build failing under jdk 1.4?
Date Tue, 19 Jun 2007 06:07:51 GMT
Couple of things going on. The Maven 2 POM has wiser-java14 depending on
subethasmtp-java15, which is bad. I excluded it manually and got the java14
version explicitly. The POM is also missing the runtime dependency on
retrotranslator for the java14 artifact, so I explicitly depended on that as
well. Then the maven 2 build finally ran okay start to finish. I just
checked in that change and that should be okay.

maven 1 has its own problem. repo1.maven.org/maven/org.subethamail only
provides the default (java15) versions of subethamail and wiser. No idea why
the source, javadoc or java14 jars aren't there. Also not sure who to ask
about that.

Did I mention I want to get rid of the maven 1 build? :)

On 6/18/07, Dion Gillard <dion@trongus.com> wrote:
>
> And the maven 1 build is still failing with the corresponding message.
> Does
> the project.xml need a change too?
>
> On 6/19/07, Ben Speakmon <bspeakmon@apache.org> wrote:
> >
> > It's not picking up the java14 classifier on subethasmtp-smtp.
> Apparently
> > the classifier doesn't propagate to the parent. I really need to get in
> > the
> > habit of removing my repository before signing off a pom.
> >
> > Fix checked in.
> >
> > On 6/18/07, Dion Gillard <dion@trongus.com> wrote:
> > >
> > > Is this right?
> > >
> > > When running mvn clean install on the current email trunk, I get:
> > >
> > > [INFO] Compilation failure
> > > C:\Documents and Settings\Dion
> > >
> > >
> >
> Gillard\workspace\email\src\test\org\apache\commons\mail\BaseEmailTestCase.java:[497,-1]
> > > cannot access org.subethamail.smtp.server.SMTPServer
> > > bad class file: C:\Documents and Settings\Dion
> > >
> >
> Gillard\.m2\repository\org\subethamail\subethasmtp-smtp\1.2\subethasmtp-s
> > > mtp-1.2.jar(org/subethamail/smtp/server/SMTPServer.class)
> > > class file has wrong version 49.0, should be 48.0
> > >
> > >
> > >
> > > C:\Documents and Settings\Dion
> > >
> > >
> >
> Gillard\workspace\email\src\test\org\apache\commons\mail\BaseEmailTestCase.java:[497,-1]
> > > cannot access org.subethamail.smtp.server.SMTPServer
> > > bad class file: C:\Documents and Settings\Dion
> > >
> >
> Gillard\.m2\repository\org\subethamail\subethasmtp-smtp\1.2\subethasmtp-s
> > > mtp-1.2.jar(org/subethamail/smtp/server/SMTPServer.class)
> > > class file has wrong version 49.0, should be 48.0
> > >
> > >
> > > Which means it can only build with 1.5. Is there some magic command
> > > line trickery I need to get it to build under 1.4?
> > >
> > > --
> > > dIon Gillard
> > > Rule #131 of Acquisition: Information is Profit.
> > >
> > > ---------------------------------------------------------------------
> > > To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
> > > For additional commands, e-mail: commons-dev-help@jakarta.apache.org
> > >
> > >
> >
>
>
>
> --
> dIon Gillard
> Rule #131 of Acquisition: Information is Profit.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message